<?php
include "../ver_sessao.php";
include "../conecta.php";
//ini_set('upload_max_filesize',' 100M '); 
//ini_set('post_max_size', ' 100M ');
set_time_limit(0);




function transforma_boleto_carteira(){

	$id_boleto = $_POST[id];
	$hoje = date('Y-m-d');

	// OBTEM O REGISTRO DO BOLETO SELECIONADO
	$a_bole = carregar('boleto',$id_boleto);

	$sql_forma = selecionar('forma','form_tx_status','!inativo'," AND form_tx_nome LIKE 'carteira' LIMIT 1 ");
	$a_carteira = carrega_array($sql_forma);

	// SE A REMESSA FOI GERADA, MARCA O BOLETO PARA GERAR UMA REMESSA DE BAIXA
	if ( $a_bole[bole_nb_remessaImpressao] > 0 ) {
		
		atualizar('boleto',array(bole_tx_pedidoBaixa),array(date('Y-m-d')),$a_bole[bole_nb_id]);
	}

	// ATUALIZA O BOLETO COMO PAGO, PARA PAGAMENTOS EM CARTEIRA, O VALOR PAGO É ZERO
	atualizar('boleto',array(bole_tx_status,bole_tx_data,bole_tx_valor),array('encerrado',$hoje,0),$a_bole[bole_nb_id]);

	// INSERE O FOBO DO TIPO CARTEIRA
	$campos = array(fobo_nb_boleto,fobo_nb_forma,fobo_tx_valor,fobo_tx_data,fobo_tx_status);
	$valores = array($a_bole[bole_nb_id],$a_carteira[form_nb_id],($a_bole[bole_tx_valordoc]+$a_bole[bole_tx_valorNegociado]),$hoje,'ativo');
	inserir('fobo',$campos,$valores,1);

	set_status('Conversão realizada com sucesso!');

	index();
	exit;
}


function transforma_carteira(){

	// $qtde_cheque = count($_POST[ids_cheque]);
	// $qtde_bole = count($_POST[ids_boleto]);


	// // VERIFICA SE ALGUM ITEM FOI SELECIONADO
	// if ( intval($qtde_cheque)==0 && intval($qtde_bole)==0 ) {
	// 	set_status('ERRO: Nenhum item selecionado!');

	// 	layout_cliente();
	// 	exit;
	// }

	$hoje = date('Y-m-d');

	$sql_forma = selecionar('forma','form_tx_status','!inativo'," AND form_tx_nome LIKE 'carteira' LIMIT 1 ");
	$a_carteira = carrega_array($sql_forma);


	// VERIFICA SE O ID DA FORMA TIPO CARTEIRA FOI OBTIDO
	if ( intval($a_carteira[form_nb_id])==0 ) {
		set_status('ERRO: Falha ao carregar a carteira!');

		layout_cliente();
		exit;
	}



	// PERCORRE TODOS OS CHEQUES SELECIONADOS
	// for ($i=0; $i<$qtde_cheque; $i++) { 

		// $_POST[id] = $_POST[ids_cheque][$i];
		
		// CANCELA O CHEQUE

		// OBTEM O FOBO E O CHFO
		// $sql_fobo = selecionar('chfo,fobo','chfo_tx_status,fobo_tx_status,chfo_nb_cheque',"!inativo,!inativo,$_POST[id]"," LIMIT 1 ");
		$a_fobo = carregar('fobo',$_POST[id]);

		$sql_cheque = selecionar('cheque','cheq_tx_status',"!inativo"," AND cheq_nb_fobo = '$_POST[id]'");
		$a_cheque = carrega_array($sql_cheque);
		atualizar('cheque',array(cheq_tx_status),array('Cancelado'),$_POST[id]);

		// CONFIRMA SE EXISTE UM FOBO
		if ( $a_fobo[fobo_nb_id] > 0 ) {

			// ZERA O VALOR DO FOBO (PARA NÃO INTERFERIR NOS RELATÓRIOS) E CANCELA O MESMO
			atualizar('fobo',array('fobo_tx_status','fobo_tx_valor','fobo_tx_valorBaixa'),array('cancelado',0,0),$a_fobo[fobo_nb_id]);

			// REMOVE O FOBO E O CHFO
			// remover('fobo',$a_fobo[fobo_nb_id]);
			// remover('chfo',$a_fobo[chfo_nb_id]);
		}

		// INSERE O FOBO DO TIPO CARTEIRA
		$campos = array(fobo_nb_boleto,fobo_nb_forma,fobo_tx_valor,fobo_tx_data,fobo_tx_status);
		$valores = array($a_fobo[fobo_nb_boleto],$a_carteira[form_nb_id],$a_fobo[fobo_tx_valor],$hoje,'ativo');
		inserir('fobo',$campos,$valores,1);
	// }




	// // PERCORRE TODOS OS BOLETOS SELECIONADOS
	// for ($i=0; $i<$qtde_bole; $i++) {

	// 	$id_boleto = $_POST[ids_boleto][$i];

	// 	// OBTEM O REGISTRO DO BOLETO SELECIONADO
	// 	$a_bole = carregar('boleto',$id_boleto);

	// 	// SE A REMESSA FOI GERADA, MARCA O BOLETO PARA GERAR UMA REMESSA DE BAIXA
	// 	if ( $a_bole[bole_nb_remessaImpressao] > 0 ) {
			
	// 		atualizar('boleto',array(bole_tx_pedidoBaixa),array(date('Y-m-d')),$a_bole[bole_nb_id]);
	// 	}

	// 	// ATUALIZA O BOLETO COMO PAGO, PARA PAGAMENTOS EM CARTEIRA, O VALOR PAGO É ZERO
	// 	atualizar('boleto',array(bole_tx_status,bole_tx_data,bole_tx_valor),array('encerrado',$hoje,0),$a_bole[bole_nb_id]);

	// 	// INSERE O FOBO DO TIPO CARTEIRA
	// 	$campos = array(fobo_nb_boleto,fobo_nb_forma,fobo_tx_valor,fobo_tx_data,fobo_tx_status);
	// 	$valores = array($a_bole[bole_nb_id],$a_carteira[form_nb_id],($a_bole[bole_tx_valordoc]+$a_bole[bole_tx_valorNegociado]),$hoje,'ativo');
	// 	inserir('fobo',$campos,$valores,1);
	// }


	set_status('Conversão realizada com sucesso!');

	index();
	exit;
}




function receber_fobo(){

	$a=carregar('fobo',$_POST[id]);
	atualizar('fobo',
		array(fobo_nb_userBaixa,fobo_tx_dataBaixa,fobo_tx_valorBaixa,fobo_tx_status),
		array($_SESSION[user_nb_id],date("Y-m-d"),$a[fobo_tx_valor],'ativo'),
		$_POST[id]);

	index();
	exit;

}



function layout_imprime() {


	
	if (substr($_POST[busca_valor],-3,1)==".")
		$_POST[busca_valor] = mostra_valor($_POST[busca_valor]);


	if($_POST[busca_valor]){
		$_POST[busca_valor] = valor($_POST[busca_valor]);
	}

	

	cabecaRelatorio('Conciliação de Recebíveis',2);
	
	$busca_sit='Todos';
		
	if( $_POST[busca_situacao] == 'Aberto' ){
		
		$extra .= " AND bole_tx_status = 'ativo'";
		$busca_sit='Aberto';
	}
	
	if( $_POST[busca_situacao] == 'Baixado' ){
		
		$extra .= " AND bole_tx_status = 'encerrado'";
		$busca_sit='Baixado';
	}
			
	if( $_POST[busca_situacao] == 'Todos' ){
		
		$extra .= " AND bole_tx_status != 'inativo'";
		$busca_sit='Todos';
		
	}

	
	
	if( $_POST[busca_inicio] !='' ){
		
		if( $_POST[busca_filtro]=='Vencimento' ){
			
			$inicio = gera_data($_POST[busca_inicio],1)." 00:00:00";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data >= '$inicio'";
			
		}
		
		if( $_POST[busca_filtro]=='Pagamento' ){
			
			$inicio = gera_data($_POST[busca_inicio],1)." 00:00:00";
			$fobo = ",fobo";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data >= '$inicio'";
			
		}
		
	}
	
	if( $_POST[busca_fim] !='' ){
		
		if( $_POST[busca_filtro]=='Vencimento' ){
			
			$fim = gera_data($_POST[busca_fim],1)." 23:59:59";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data <= '$fim'";
			
		}
	
		
		if( $_POST[busca_filtro]=='Pagamento' ){
			
			$fim = gera_data($_POST[busca_fim],1)." 23:59:59";
			$fobo= ",fobo";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data <= '$fim'";
			
		}
		
	}
	
	if( $_POST[busca_nf] !=''){
		$extra .= " AND movi_tx_notafiscal LIKE '%$_POST[busca_nf]%'";
	}
	

	
	if( $_POST[busca_codigo] != '' ){
		$extra .= " AND fobo_nb_id = '$_POST[busca_codigo]'";
	}
	
	if( $_POST[busca_nome] != '' ){
		$extra .= " AND enti_nb_id = '$_POST[busca_nome]' ";
		$a_enti=carregar('entidade',$_POST[busca_nome]);
	}

	if( $_POST[busca_obs] != '' ){
		$extra .= " AND bole_tx_obs LIKE '%$_POST[busca_obs]%' ";
	}
	
	if( $_POST[busca_tipo] == 'Despesas'){
		$extra .= " AND movi_tx_tipo = 'Saída'";
	}
		
	if( $_POST[busca_tipo] == 'Receitas' ){
		$extra .= " AND movi_tx_tipo = 'Entrada'";
	}

	if( $_POST[busca_centro] != '' ){
		$extra .= " AND movi_nb_centrocusto = '$_POST[busca_centro]'";
		$a_centro = carregar('centrocusto',$_POST[busca_centro]);
	}

	if( $_POST[busca_planoconta] != '' ){
		$extra .= " AND movi_nb_planoconta = '$_POST[busca_planoconta]'";
		$a_plano = carregar('planoconta',$_POST[busca_planoconta]);
	}
	
	if($_POST[busca_valor] != ''){
		$valormais=($_POST[busca_valor])+0.01;
		$valormenos=($_POST[busca_valor])-0.01;
		
		
		$extra .= " AND fobo_tx_valor >= '$valormenos' AND fobo_tx_valor <= '$valormais'";
		//echo " AND bole_tx_valordoc = '".valor($_POST[busca_valor])."'";
	}

		
	if( $order =='' )
		$order = ' ORDER BY fobo_tx_data,enti_tx_nome,bole_nb_id DESC';
	
	switch($_POST[busca_ordem]){
		
		case 'Código':
			$order = " ORDER BY fobo_nb_id ";
		break;
		case 'Vencimento':
			$order = " ORDER BY fobo_tx_data,enti_tx_nome,bole_nb_id ";
		break;
		
		case 'Pagamento':
			if($_POST[busca_filtro]=='Pagamento')
				$order = " ORDER BY fobo_tx_data,enti_tx_nome,bole_nb_id ";
		break;	
		
		default:
			$order = " ORDER BY enti_tx_nome,bole_nb_id ASC";
		break;	
		
	}


			
		$sql = selecionar("boleto,movimento.entidade,fobo,centrocusto,planoconta,forma",
			'movi_tx_status,bole_tx_status,movi_nb_centrocusto,movi_nb_planoconta,movi_nb_ref,fobo_nb_boleto',
			"!inativo,!Agrupado,.cent_nb_id,.plan_nb_id,.enti_nb_id,.bole_nb_id",
			" AND fobo_nb_forma = form_nb_id $extra GROUP BY fobo_nb_id  $order ");
		
	
	

	//print_r($_POST);
	//CONSULTA
	$c1[] = cactux::texto('Código:',$_POST[busca_codigo],1);
	//$c1[] = cactux::campo('Nome:','busca_nome',$_POST[busca_nome],3);
	$c1[] = cactux::texto('Nome:',$a_enti[enti_tx_nome],3);
	
	$c1[] = cactux::texto('Descrição:',$_POST[busca_obs],3);

	$c1[] = cactux::texto('Valor:',mostra_valor($_POST[busca_valor]),2, MASCARA_VALOR);	
	
	$c2[] = cactux::texto('Data Inicial:',$_POST[busca_inicio],2,MASCARA_DATA);
	$c2[] = cactux::texto('Data Fim:',$_POST[busca_fim],2,MASCARA_DATA);
	$c2[] = cactux::texto('Filtro Data:',$_POST[busca_filtro],2);

	$c2[] = cactux::texto('Centro de Custo:',$a_centro[1],4);
	//$c2[] = cactux::combo_bd('!Plano Conta:','busca_planoconta',$a_plano[0],$a_plano[1],3,'planoconta','',".nome");
	$c2[] = cactux::texto('Plano Conta:',$a_plano[1],4);
	$cnota= cactux::texto('Nota Fiscal:',$_POST[busca_nf],2);
	
	$c2[] = cactux::texto('Ordernar:',$_POST[busca_ordem],2);
	$sit = cactux::texto('Situação:',$busca_sit,2);
	
	
	
	//BOTOES
	$buscar = cactux::botao_submit_busca("Buscar",2,'index');
	// $imprime = cactux::botao("Imprimir",2,'imprime');
	
	$status = cactux::msg_status(10);
	
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c1[0],$c1[1],$cnota,$c1[2]);
	cactux::linha_fieldset($c2[3],$c2[4],$c1[3],$c1[4]);
	cactux::linha_fieldset($c2[0],$c2[1],$c2[2],$c2[5],$sit);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('pagar','layout_pagamento');
	cactux::acao_botao('receber','layout_recebimento');
	cactux::acao_botao('imprime','layout_imprime','','','','',' target=_blank');
	cactux::acao_botao('imprime2','layout_imprime_planoconta','','','','',' target=_blank');
	cactux::acao_botao('limpar','index','limpa_formulario','SIM');



	$nome_entidade = "SACADO/CEDENTE<div style='text-align:right'>DESCRIÇÃO</div>";
	$nome_centro = "CENTRO CUSTO<div style='text-align:right'>PLANO DE CONTA</div>";
	$nome_vencimento = "VENCIMENTO<div style='text-align:right'>VALOR</div>";
	$nome_pagamento = "DATA PG<div style='text-align:right'>VALOR PG</div>";
	
//	$cabeca[] = array('','CÓD','EMISSÃO',$nome_entidade,$nome_projeto,$nome_vencimento,$nome_pagamento,'','','');

	
	//INICIO DO GRID
	$cabeca[] = array('CÓD',$nome_entidade,$nome_centro,'FORMA',$nome_vencimento,$nome_pagamento,'');
	
	
	$cabeca[] = 'c,e,e,e,e,e,e,e';
	$cabeca[] = '5%,,25%,12%,12%,12%,1%';
	
	while( $a = carrega_array($sql) ){
		
		$sql_fobo = selecionar('sum(fobo_tx_valor) as valor,fobo_tx_data|fobo','fobo_nb_boleto,fobo_tx_status',"$a[bole_nb_id],ativo");
		
		if(num_linhas($sql_fobo) > 0 ) {// VERIFICA SE EXISTE DATA DE PAGAMENTO CADASTRADA NA TABELA fobo
			$fobo = carrega_array($sql_fobo);
			$a[fobo_tx_data] = $fobo[fobo_tx_data];
			$a[bole_tx_valor] = $fobo[valor];
		}else{
			unset($a[fobo_tx_data]);
		}
		
		if( $a[movi_tx_tipo]=='Entrada' )
			$icone_boleto = ".icone_modificar($a[bole_nb_id],'boleto','','','../boleto/boleto.php',' target=_blank','Gerar boleto','cactus/imagens/boleto.gif')";
		else
			$icone_boleto = '';
		
		if($a[movi_tx_tipo]=='Entrada'){
			$modifica = 'modifica_recebimento';
		}else{
			$modifica = 'modifica_pagamento';
		}
		
		
		
		//DEFINE COR DAS DIVS
		if($a[movi_tx_tipo]=='Entrada')
			$div = "<div style='color:blue'>";// RECEITA - AZUL
		
		if($a[movi_tx_tipo]=='Saída') {
			$div = "<div style='color:red'>";// DESPESA - VERMELHO
			$a[bole_tx_valordoc] = $a[bole_tx_valordoc] * (-1);
			$a[bole_tx_valor] = $a[bole_tx_valor] * (-1);
		}
		
			
		if($a[fobo_nb_userBaixa]>0){
			$autorizar = "<img src='../cactus/imagens/confirmar.png' border=0 >";
			$valorBaixa = $a[fobo_tx_valor];
		}else{
			$autorizar = "<img src='../cactus/imagens/confirmar2.png' border=0 ></a>";
			$valorBaixa = '';
		}
				
		
		$nome_entidade = $a[enti_tx_nome]."<div style='text-align:right'><BR>".$a[bole_tx_obs]."</div>";
		$nome_centro = $a[cent_tx_nome]."<div style='text-align:right'><BR>".$a[plan_tx_nome]."</div>";
		$nome_vencimento = data($a[fobo_tx_data],1)."<div style='text-align:right'><BR>".mostra_valor($a[fobo_tx_valor])."</div>";
		$nome_pagamento = data($a[fobo_tx_dataBaixa],1)."<div style='text-align:right'><BR>".mostra_valor($a[fobo_tx_valorBaixa])."</div>";
		
	
		$valores[] = array($div.$a[fobo_nb_id],$div.$nome_entidade,$div.$nome_centro,$div.$a[form_tx_nome],
		$div.$nome_vencimento,$div.$nome_pagamento,$autorizar);
	
		$totaldoc += $a[fobo_tx_valor];
		$total += $a[fobo_tx_valorBaixa];
		// TOTALIZA OS VALORES

		
	}

	$valores[] = array('','','',"<div style='text-align:right'><B>TOTAL:","<div style='text-align:right'><B>".mostra_valor($totaldoc,1),"<div style='text-align:right'><B>".mostra_valor($total,1),'');
	
	echo"<br>";
	echo"<br>";
	echo"<br>";
	echo"<br>";
	echo"<br>";
	echo"<br>";
	echo"<br>";
	grid::gerar($cabeca,$valores);

	cactux::acao_botao('form_receber_fobo','receber_fobo','id','0');
	
	javascript("
		
			
		function receberFoboJs(id,valor) {
			if(confirm('Deseja confirmar o recebimento de R$ '+valor+'?' )){
				document.form_receber_fobo.id.value=id;
				document.form_receber_fobo.submit();
			}
		}
		
		
		
	");
	
	
	rodape();
}


function gerar_paginacao($sql,$campos='',$valores='',$MAX_PAG=10) {
		
	$sql3 = query($sql);
	$num_linhas3 = num_linhas($sql3);
	
	if( $num_linhas3 == 1 ) {
		
		$array_q = carrega_array($sql3);
		$total_pesq = $array_q[total];
	} else {
		
		$total_pesq = $num_linhas3;
	}	// acha o total de linhas dessa consulta
	
   if( !$_POST[n] )  !$_POST[n]=0;
   if( $_POST[n]=='o' )  $_POST[n]=0;
	
   $inicio = $_POST[n];
   $proximo = $inicio+$MAX_PAG;
   $anterior = $inicio-$MAX_PAG;
   $atual=($inicio/$MAX_PAG)+1;
	
   if( $total_pesq%$MAX_PAG == 0 ) 
      $total_pag = (int)($total_pesq/$MAX_PAG);
   else
      $total_pag = (int)($total_pesq/$MAX_PAG)+1;
	
	$sql .= " LIMIT $inicio,$MAX_PAG";
   
	//echo $sql."<BR><BR>";   
	$sql = query($sql);


	$BUSCAR = array($sql , $inicio,$proximo,$anterior,$total_pesq,$atual,$total_pag, $valor, $MAX_PAG,$campos,$valores  );

return $BUSCAR; 

}	


function index() {



	cabecalho('Conciliação de Recebíveis',2);

	if($_POST[limpar] == 'limpar'){
		unset($_POST[busca_codigo],$_POST[busca_nome],$_POST[busca_obs],$_POST[busca_valor],$_POST[busca_inicio],$_POST[busca_fim],
			$_POST[busca_filtro],$_POST[busca_centro],$_POST[busca_planoconta],$_POST[busca_nf],$_POST[busca_ordem],$_POST[busca_situacao]);
	}


	
	if (substr($_POST[busca_valor],-3,1)==".")
		$_POST[busca_valor] = mostra_valor($_POST[busca_valor]);


	if($_POST[busca_valor]){
		$_POST[busca_valor] = valor($_POST[busca_valor]);
	}
	
	$busca_sit='Todos';
		
	if( $_POST[busca_situacao] == 'Aberto' ){
		
		$extra .= " AND (fobo_tx_status='ativo' OR fobo_tx_status='pendente') AND (fobo_tx_dataBaixa IS NULL OR fobo_tx_dataBaixa='') ";
		$busca_sit='Aberto';
	}
	
	if( $_POST[busca_situacao] == 'Baixado' ){
		
		$extra .= " AND fobo_tx_status = 'ativo' AND fobo_tx_dataBaixa!='' ";
		$busca_sit='Baixado';
	}
	
	if( $_POST[busca_situacao] == 'Cancelado' ){
		
		$extra .= " AND fobo_tx_status = 'cancelado' ";
		$busca_sit='Cancelado';
	}
			
	if( $_POST[busca_situacao] == 'Todos' ){
		
		$extra .= " AND bole_tx_status != 'inativo'";
		$busca_sit='Todos';
		
	}

	
	
	if( $_POST[busca_inicio] !='' ){
		
		if( $_POST[busca_filtro]=='Vencimento' ){
			
			$inicio = gera_data($_POST[busca_inicio],1)." 00:00:00";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data >= '$inicio'";
			$extra2 .= " AND bole_tx_vencimento >= '$inicio'";
			
		}
		
		if( $_POST[busca_filtro]=='Pagamento' ){
			
			$inicio = gera_data($_POST[busca_inicio],1)." 00:00:00";
			$fobo = ",fobo";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data >= '$inicio'";
			$extra2 .= " AND bole_tx_vencimento >= '$inicio'";
			
		}
		
	}
	
	if( $_POST[busca_fim] !='' ){
		
		if( $_POST[busca_filtro]=='Vencimento' ){
			
			$fim = gera_data($_POST[busca_fim],1)." 23:59:59";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data <= '$fim'";
			$extra2 .= " AND bole_tx_vencimento <= '$fim'";
			
		}
	
		
		if( $_POST[busca_filtro]=='Pagamento' ){
			
			$fim = gera_data($_POST[busca_fim],1)." 23:59:59";
			$fobo= ",fobo";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data <= '$fim'";
			$extra2 .= " AND bole_tx_vencimento <= '$fim'";
			
		}
		
	}
	
	if( $_POST[busca_nf] !=''){
		$extra .= " AND movi_tx_notafiscal LIKE '%$_POST[busca_nf]%'";
	}
	

	
	if( $_POST[busca_codigo] != '' ){
		$extra .= " AND fobo_nb_id = '$_POST[busca_codigo]'";
		$extra2 .= " AND bole_nb_id = '$_POST[busca_codigo]'";
	}
	
	if( $_POST[busca_nome] != '' ){
		$extra .= " AND enti_nb_id = '$_POST[busca_nome]' ";
		$extra2 .= " AND enti_nb_id = '$_POST[busca_nome]' ";
	}

	if( $_POST[busca_obs] != '' ){
		$extra .= " AND bole_tx_obs LIKE '%$_POST[busca_obs]%' ";
		$extra2 .= " AND bole_tx_obs LIKE '%$_POST[busca_obs]%' ";
	}
	
	// if( $_POST[busca_tipo] == 'Despesas'){
	// 	$extra .= " AND movi_tx_tipo = 'Saída'";
	// }
		
	// if( $_POST[busca_tipo] == 'Receitas' ){
	// 	$extra .= " AND movi_tx_tipo = 'Entrada'";
	// }
	$extra .= " AND movi_tx_tipo = 'Entrada'";
	$extra2 .= " AND movi_tx_tipo = 'Entrada'";

	if( $_POST[busca_centro] != '' ){
		$extra .= " AND movi_nb_centrocusto = '$_POST[busca_centro]'";
		$extra2 .= " AND movi_nb_centrocusto = '$_POST[busca_centro]'";
		$a_centro = carregar('centrocusto',$_POST[busca_centro]);
	}

	if( $_POST[busca_planoconta] != '' ){
		$extra .= " AND movi_nb_planoconta = '$_POST[busca_planoconta]'";
		$extra2 .= " AND movi_nb_planoconta = '$_POST[busca_planoconta]'";
		$a_plano = carregar('planoconta',$_POST[busca_planoconta]);
	}
	
	if($_POST[busca_valor] != ''){
		$valormais=($_POST[busca_valor])+0.01;
		$valormenos=($_POST[busca_valor])-0.01;
		
		
		$extra .= " AND fobo_tx_valor >= '$valormenos' AND fobo_tx_valor <= '$valormais'";
		$extra .= " AND bole_tx_valordoc >= '$valormenos' AND bole_tx_valordoc <= '$valormais'";
		//echo " AND bole_tx_valordoc = '".valor($_POST[busca_valor])."'";
	}

		
	if( $order =='' )
		$order = ' ORDER BY fobo_tx_data,enti_tx_nome,fobo_nb_id DESC';
	
	switch($_POST[busca_ordem]){
		
		case 'Código':
			$order = " ORDER BY fobo_nb_id ";
		break;
		case 'Vencimento':
			$order = " ORDER BY fobo_tx_data,enti_tx_nome,fobo_nb_id ";
		break;
		
		case 'Pagamento':
			if($_POST[busca_filtro]=='Pagamento')
				$order = " ORDER BY fobo_tx_data,enti_tx_nome,fobo_nb_id ";
		break;	
		
		default:
			$order = " ORDER BY enti_tx_nome,fobo_nb_id ASC";
		break;	
		
	}

	$extra .= " AND fobo_nb_forma != '1' ";
	// $extra .= " AND fobo_nb_forma != '1' AND fobo_nb_forma !='5'";

	$extra .= " AND form_tx_nome NOT LIKE '%carteira%' ";
	$extra2 .= " AND bole_nb_configuraboleto>'0' ";

			
	$sql = selecionar("boleto,movimento.entidade,fobo,centrocusto,planoconta,forma",
		'movi_tx_status,bole_tx_status,movi_nb_centrocusto,movi_nb_planoconta,movi_nb_ref,fobo_nb_boleto',
		"!inativo,!Agrupado,.cent_nb_id,.plan_nb_id,.enti_nb_id,.bole_nb_id",
		" AND fobo_nb_forma = form_nb_id $extra GROUP BY fobo_nb_id  $order ",1);

	$query = "
SELECT movi_tx_tipo,bole_nb_id,fobo_nb_userBaixa,fobo_tx_valor,fobo_tx_status,form_tx_nome,enti_tx_nome,bole_tx_obs,cent_tx_nome,plan_tx_nome,
fobo_nb_id,fobo_tx_data,fobo_tx_dataBaixa,fobo_tx_valorBaixa
FROM boleto,movimento,entidade,fobo,centrocusto,planoconta,forma 
WHERE bole_nb_movimento = movi_nb_id AND enti_nb_id = movi_nb_ref AND fobo_nb_boleto = bole_nb_id AND movi_nb_centrocusto = cent_nb_id 
AND movi_nb_planoconta = plan_nb_id AND fobo_nb_forma = form_nb_id $extra GROUP BY fobo_nb_id

UNION

SELECT movi_tx_tipo,bole_nb_id,bole_nb_userCadastro AS fobo_nb_userBaixa,bole_tx_valordoc AS fobo_tx_valor,bole_tx_status AS fobo_tx_status,'BOLETO' AS form_tx_nome,enti_tx_nome,bole_tx_obs,cent_tx_nome,plan_tx_nome,
bole_nb_id AS fobo_nb_id,bole_tx_vencimento AS fobo_tx_data,bole_tx_data AS fobo_tx_dataBaixa,bole_tx_valor AS fobo_tx_valorBaixa
FROM boleto,movimento,entidade,centrocusto,planoconta 
WHERE bole_nb_movimento = movi_nb_id AND enti_nb_id = movi_nb_ref AND movi_nb_centrocusto = cent_nb_id 
AND movi_nb_planoconta = plan_nb_id  $extra2 AND bole_tx_status = 'ativo' GROUP BY bole_nb_id
		";

		
	
	$BUSCA = gerar_paginacao($query,'','',50);


	//print_r($_POST);
	//CONSULTA
	$c1[] = cactux::campo('Código:','busca_codigo',$_POST[busca_codigo],1);
	$c1[] = cactux::combo_net('!Nome:','busca_nome',$_POST[busca_nome],$_POST[nome_busca_nome],4,array('busca_div.php?c=entidade','busca_net.php?c=entidade'));
	
	$c1[] = cactux::campo('Descrição:','busca_obs',$_POST[busca_obs],3);

	$c1[] = cactux::campo('Valor:','busca_valor',mostra_valor($_POST[busca_valor]),2, MASCARA_VALOR);	
	
	$c2[] = cactux::campo('Data Inicial:','busca_inicio',$_POST[busca_inicio],2,MASCARA_DATA);
	$c2[] = cactux::campo('Data Fim:','busca_fim',$_POST[busca_fim],2,MASCARA_DATA);
	$c2[] = cactux::combo('Filtro Data:','busca_filtro',array('Vencimento','Pagamento'),$_POST[busca_filtro],2);

	$c2[] = cactux::combo_bd('!Centro de Custo:','busca_centro',$_POST[busca_centro],$a_centro[1],4,'centrocusto','',".nome");
	$c2[] = cactux::combo_net('!Plano Conta:','busca_planoconta',$_POST[busca_planoconta],$a_plano[1],4,array("busca_div.php?c=planoconta","busca_net.php?c=planoconta"));
	$cnota= cactux::campo('Nota Fiscal:','busca_nf',$_POST[busca_nf],2);
	
	$c2[] = cactux::combo('Ordernar:','busca_ordem',array('Entidade','Vencimento','Pagamento','Código'),$_POST[busca_ordem],2);
	$sit = cactux::combo('Situação:','busca_situacao',array('Aberto','Baixado','Cancelado','Todos'),$_POST[busca_situacao],2);
	
	
	
	//BOTOES
	$buscar = cactux::botao_submit_busca("Buscar",2,'index');
	$imprime = cactux::botao("Imprimir",2,'imprime');
	$limpar = cactux::botao("Limpar",2,'limpar');
	
	$status = cactux::msg_status(10);
	
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c1[0],$c1[1],$cnota,$c1[2]);
	cactux::linha_fieldset($c2[3],$c2[4],$c1[3],$c1[4]);
	cactux::linha_fieldset($c2[0],$c2[1],$c2[2],$c2[5],$sit);
	cactux::fecha_fieldset();
	cactux::linha_fieldset($buscar,$imprime,$limpar,$status);
	cactux::fecha_form();
	
	cactux::acao_botao('imprime','layout_imprime','','','','',' target=_blank');
	cactux::acao_botao('limpar','index','limpar','limpar');



	$nome_entidade = "SACADO/CEDENTE<div style='text-align:right'>DESCRIÇÃO</div>";
	$nome_centro = "CENTRO CUSTO<div style='text-align:right'>PLANO DE CONTA</div>";
	$nome_forma = "FORMA<div style='text-align:right'>SITUAÇÃO</div>";
	$nome_vencimento = "VENCIMENTO<div style='text-align:right'>VALOR</div>";
	$nome_pagamento = "DATA PG<div style='text-align:right'>VALOR PG</div>";
	
//	$cabeca[] = array('','CÓD','EMISSÃO',$nome_entidade,$nome_projeto,$nome_vencimento,$nome_pagamento,'','','');

	
	//INICIO DO GRID
	$cabeca[] = array('CÓD',$nome_entidade,$nome_centro,$nome_forma,$nome_vencimento,$nome_pagamento,'','');
	
	
	$cabeca[] = 'c,e,e,e,e,e,e,e,e,e';
	$cabeca[] = '5%,,25%,12%,12%,12%,1%,1%';
	
	while( $a = carrega_array($BUSCA[0]) ){
		
	
		
		if( $a[movi_tx_tipo]=='Entrada' )
			$icone_boleto = ".icone_modificar($a[bole_nb_id],'boleto','','','../boleto/boleto.php',' target=_blank','Gerar boleto','cactus/imagens/boleto.gif')";
		else
			$icone_boleto = '';
		
		if($a[movi_tx_tipo]=='Entrada'){
			$modifica = 'modifica_recebimento';
		}else{
			$modifica = 'modifica_pagamento';
		}
		
		
		
		//DEFINE COR DAS DIVS
		if($a[movi_tx_tipo]=='Entrada')
			$div = "<div style='color:blue'>";// RECEITA - AZUL
		
		if($a[movi_tx_tipo]=='Saída') {
			$div = "<div style='color:red'>";// DESPESA - VERMELHO
			$a[bole_tx_valordoc] = $a[bole_tx_valordoc] * (-1);
			$a[bole_tx_valor] = $a[bole_tx_valor] * (-1);
		}
		
			
		if($a[fobo_nb_userBaixa]>0){
			$autorizar = "<img src='../cactus/imagens/confirmar.png' border=0 >";
			$valorBaixa = $a[fobo_tx_valor];
			$situacao = 'Baixado';
		}else{
			$autorizar = "<a href=#><img onclick=receberFoboJs($a[fobo_nb_id],'".mostra_valor($a[fobo_tx_valor])."') src='../cactus/imagens/confirmar2.png' border=0 ></a>";
			$valorBaixa = '';
			$situacao = 'Aberto';
		}


		// VERIFICA SE É UM CHEQUE CANCELADO
		if ( $a[fobo_tx_status] == 'cancelado' ) {
			$autorizar = '';
			$valorBaixa = '';
			$situacao = 'Cancelado';
		}

		if( strtoupper(substr($a[form_tx_nome],0,6)) == 'CHEQUE' )
			// $transformar = ".icone_modificar($a[fobo_nb_id],'transforma_carteira','','','','','','cactus/imagens/boleto.gif')";
			$transformar = "<a href=#><img onclick=transformarFoboJs($a[fobo_nb_id],'".mostra_valor($a[fobo_tx_valor])."') src='../cactus/imagens/boleto.gif' border=0 ></a>";
		elseif(strtoupper(substr($a[form_tx_nome],0,6)) == 'BOLETO')
			// $transformar = ".icone_modificar($a[bole_nb_id],'transforma_boleto_carteira','','','','','','cactus/imagens/boleto.gif')";
			$transformar = "<a href=#><img onclick=transformarBoletoJs($a[bole_nb_id],'".mostra_valor($a[bole_tx_valordoc])."') src='../cactus/imagens/boleto.gif' border=0 ></a>";
		else
			$transformar = '';

		
		if( strtoupper(substr($a[form_tx_nome],0,6)) == 'BOLETO')
			$autorizar = '';
		
		$nome_entidade = $a[enti_tx_nome]."<div style='text-align:right'><BR>".$a[bole_tx_obs]."</div>";
		$nome_centro = $a[cent_tx_nome]."<div style='text-align:right'><BR>".$a[plan_tx_nome]."</div>";
		$nome_forma = $a[form_tx_nome]."<div style='text-align:right'><BR>".$situacao."</div>";
		$nome_vencimento = data($a[fobo_tx_data],1)."<div style='text-align:right'><BR>".mostra_valor($a[fobo_tx_valor])."</div>";
		$nome_pagamento = data($a[fobo_tx_dataBaixa],1)."<div style='text-align:right'><BR>".mostra_valor($a[fobo_tx_valorBaixa])."</div>";
		
	
		$valores[] = array($div.$a[fobo_nb_id],$div.$nome_entidade,$div.$nome_centro,$div.$nome_forma,
		$div.$nome_vencimento,$div.$nome_pagamento,$autorizar,$transformar);
	
		$totaldoc += $a[fobo_tx_valor];
		$total += $a[fobo_tx_valorBaixa];
		// TOTALIZA OS VALORES

		
	}

	$valores[] = array('','','',"<div style='text-align:right'><B>TOTAL:","<div style='text-align:right'><B>".mostra_valor($totaldoc,1),"<div style='text-align:right'><B>".mostra_valor($total,1),'');
	
	
	grid::gerar($cabeca,$valores);
	grid::Paginar($BUSCA);

	cactux::acao_botao('form_receber_fobo','receber_fobo','id','0');
	cactux::acao_botao('form_transformar_carteira','transforma_carteira','id','0');
	cactux::acao_botao('form_transformar_boleto_carteira','transforma_boleto_carteira','id','0');
	
	javascript("
		
			
		function receberFoboJs(id,valor) {
			if(confirm('Deseja confirmar o recebimento de R$ '+valor+'?' )){
				document.form_receber_fobo.id.value=id;
				document.form_receber_fobo.submit();
			}
		}

		function transformarFoboJs(id,valor) {
			if(confirm('Deseja transformar o recebimento em CHEQUE no valor de R$ '+valor+' em CARTEIRA?' )){
				document.form_transformar_carteira.id.value=id;
				document.form_transformar_carteira.submit();
			}
		}

		function transformarBoletoJs(id,valor) {
			if(confirm('Deseja transformar o recebimento em BOLETO no valor de R$ '+valor+' em CARTEIRA?' )){
				document.form_transformar_boleto_carteira.id.value=id;
				document.form_transformar_boleto_carteira.submit();
			}
		}
		
		
		
	");
	
	
	rodape();

}


CONTROLE();
?>
